﻿// THIS CODE HAS BEEN GENERATED BY THE XamlGenerator TOOL AND WILL BE OVERWRITTEN. DO NOT CHANGE OR REMOVE !
#region AUTOGENERATED CODE

using TimeLine.Framework;

namespace WVG_MRP
{
	/// <summary>
    /// The wndMrpClientCustom xWindowhandlingObject
    /// </summary>
    public partial class wndMrpClientCustom
    {
		#region Properties



		#endregion

        #region Controls

		/// <summary>
		/// Gets the MRPgrid TimeLine.Client.Controls.xGrid
		/// </summary>
		private global::TimeLine.Client.Controls.xGrid MRPgrid { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGrid>("MRPgrid"); } }

		/// <summary>
		/// Gets the dpmrp_session TimeLine.Client.Controls.xDataPanel
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel dpmrp_session { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel>("dpmrp_session"); } }

		/// <summary>
		/// Gets the xlgSession TimeLine.Client.Controls.xDataPanelLookupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelLookupItem xlgSession { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelLookupItem>("xlgSession"); } }

		/// <summary>
		/// Gets the xtcMrp TimeLine.Client.Controls.DX.Docking.xDockTab
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTab xtcMrp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTab>("xtcMrp"); } }

		/// <summary>
		/// Gets the tiPurchaseOrders TimeLine.Client.Controls.DX.Docking.xDockTabItem
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTabItem tiPurchaseOrders { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTabItem>("tiPurchaseOrders"); } }

		/// <summary>
		/// Gets the uebersicht TimeLine.Client.Controls.xGrid
		/// </summary>
		private global::TimeLine.Client.Controls.xGrid uebersicht { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGrid>("uebersicht"); } }

		/// <summary>
		/// Gets the dxMrpPurchaseOrders TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedRow> dxMrpPurchaseOrders { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_mrp_vorschlag_groupedRow>>("dxMrpPurchaseOrders"); } }

		/// <summary>
		/// Gets the xcmiToPurchaseOrder TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiToPurchaseOrder { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiToPurchaseOrder"); } }

		/// <summary>
		/// Gets the xcmiMrpNetchangeOrder TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiMrpNetchangeOrder { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiMrpNetchangeOrder"); } }

		/// <summary>
		/// Gets the gotoItem TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItem { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItem"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagArtikelNrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagArtikelNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagArtikelNrColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagSuchwortColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagSuchwortColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagSuchwortColumn"); } }

		/// <summary>
		/// Gets the txtAlutecWarenGrp TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtAlutecWarenGrp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtAlutecWarenGrp"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagLagerNrColumn TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn txtMrpVorschlagLagerNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("txtMrpVorschlagLagerNrColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagMengeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagMengeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagMengeColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagBestandColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagBestandColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagBestandColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagArtMeColumn TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn txtMrpVorschlagArtMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("txtMrpVorschlagArtMeColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagDispoDatumColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagDispoDatumColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagDispoDatumColumn"); } }

		/// <summary>
		/// Gets the icMrpVorschlagDispoDatumColumn TimeLine.Client.Controls.DX.Grid.DxIconColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxIconColumn icMrpVorschlagDispoDatumColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxIconColumn>("icMrpVorschlagDispoDatumColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagDispoDatumDiffColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagDispoDatumDiffColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagDispoDatumDiffColumn"); } }

		/// <summary>
		/// Gets the gotoBP TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoBP { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoBP"); } }

		/// <summary>
		/// Gets the tbsMrpVorschlagPersNrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn tbsMrpVorschlagPersNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("tbsMrpVorschlagPersNrColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagPersSuchwortColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagPersSuchwortColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagPersSuchwortColumn"); } }

		/// <summary>
		/// Gets the txtMrpVorschlagTeileklassifikationColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtMrpVorschlagTeileklassifikationColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtMrpVorschlagTeileklassifikationColumn"); } }

		/// <summary>
		/// Gets the txtArtgrp TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtArtgrp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtArtgrp"); } }

		/// <summary>
		/// Gets the cfWbZeit TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn cfWbZeit { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("cfWbZeit"); } }

		/// <summary>
		/// Gets the tiProductionOrders TimeLine.Client.Controls.DX.Docking.xDockTabItem
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTabItem tiProductionOrders { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTabItem>("tiProductionOrders"); } }

		/// <summary>
		/// Gets the dxdgMrpProductionOrders TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dxdgMrpProductionOrders { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dxdgMrpProductionOrders"); } }

		/// <summary>
		/// Gets the xcmiToProductionOrder TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiToProductionOrder { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiToProductionOrder"); } }

		/// <summary>
		/// Gets the xcmiToProductionOrderKoppel TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiToProductionOrderKoppel { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiToProductionOrderKoppel"); } }

		/// <summary>
		/// Gets the xcmiMrpNetchangeProduction TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiMrpNetchangeProduction { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiMrpNetchangeProduction"); } }

		/// <summary>
		/// Gets the gotoItemProd TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItemProd { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItemProd"); } }

		/// <summary>
		/// Gets the gotoApl TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoApl { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoApl"); } }

		/// <summary>
		/// Gets the iconAplWz TimeLine.Client.Controls.DX.Grid.DxIconColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxIconColumn iconAplWz { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxIconColumn>("iconAplWz"); } }

		/// <summary>
		/// Gets the lgStdArbeitsplan TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn lgStdArbeitsplan { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("lgStdArbeitsplan"); } }

		/// <summary>
		/// Gets the txtAlutecWarenGrpProd TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtAlutecWarenGrpProd { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtAlutecWarenGrpProd"); } }

		/// <summary>
		/// Gets the tiBANF TimeLine.Client.Controls.DX.Docking.xDockTabItem
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTabItem tiBANF { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTabItem>("tiBANF"); } }

		/// <summary>
		/// Gets the dxdgMrpBanf TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dxdgMrpBanf { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dxdgMrpBanf"); } }

		/// <summary>
		/// Gets the xcmiBanfToBestellung TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiBanfToBestellung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiBanfToBestellung"); } }

		/// <summary>
		/// Gets the xcmiBanfToBA TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem xcmiBanfToBA { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("xcmiBanfToBA"); } }

		/// <summary>
		/// Gets the gotoBelBanf TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoBelBanf { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoBelBanf"); } }

		/// <summary>
		/// Gets the gotoItemBanf TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItemBanf { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItemBanf"); } }

		/// <summary>
		/// Gets the tiEba TimeLine.Client.Controls.DX.Docking.xDockTabItem
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTabItem tiEba { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTabItem>("tiEba"); } }

		/// <summary>
		/// Gets the dgEba TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeRow> dgEba { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeTable,TimeLine.TypedDataSets.Xaml.dsMrpClient_VorschlagBestellabrufeRow>>("dgEba"); } }

		/// <summary>
		/// Gets the cmiEbaAbrechnung TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem cmiEbaAbrechnung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("cmiEbaAbrechnung"); } }

		/// <summary>
		/// Gets the cmiEbaMrpNetchangeOrder TimeLine.Client.Controls.xContextMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xContextMenuItem cmiEbaMrpNetchangeOrder { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xContextMenuItem>("cmiEbaMrpNetchangeOrder"); } }

		/// <summary>
		/// Gets the gotoArt TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoArt { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoArt"); } }

		/// <summary>
		/// Gets the tbArtnr TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn tbArtnr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("tbArtnr"); } }

		/// <summary>
		/// Gets the tbMenge TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn tbMenge { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("tbMenge"); } }

		/// <summary>
		/// Gets the tbArtMe TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn tbArtMe { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("tbArtMe"); } }

		/// <summary>
		/// Gets the tbDatum TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn tbDatum { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("tbDatum"); } }

		/// <summary>
		/// Gets the gotoEBA TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoEBA { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoEBA"); } }

		/// <summary>
		/// Gets the tbAbruf TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn tbAbruf { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("tbAbruf"); } }

		/// <summary>
		/// Gets the MSGgrid TimeLine.Client.Controls.xGrid
		/// </summary>
		private global::TimeLine.Client.Controls.xGrid MSGgrid { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGrid>("MSGgrid"); } }

		/// <summary>
		/// Gets the xtcMsg TimeLine.Client.Controls.xTabControl
		/// </summary>
		private global::TimeLine.Client.Controls.xTabControl xtcMsg { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTabControl>("xtcMsg"); } }

		/// <summary>
		/// Gets the lblMRPtitle TimeLine.Client.Controls.xLabel
		/// </summary>
		private global::TimeLine.Client.Controls.xLabel lblMRPtitle { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLabel>("lblMRPtitle"); } }

		/// <summary>
		/// Gets the lblMRP TimeLine.Client.Controls.xLabel
		/// </summary>
		private global::TimeLine.Client.Controls.xLabel lblMRP { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLabel>("lblMRP"); } }

		/// <summary>
		/// Gets the pgbMRP System.Windows.Controls.ProgressBar
		/// </summary>
		private global::System.Windows.Controls.ProgressBar pgbMRP { get { return GetControlByNameAndTyp<global::System.Windows.Controls.ProgressBar>("pgbMRP"); } }

		/// <summary>
		/// Gets the lblMRPcrt TimeLine.Client.Controls.xLabel
		/// </summary>
		private global::TimeLine.Client.Controls.xLabel lblMRPcrt { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLabel>("lblMRPcrt"); } }

		/// <summary>
		/// Gets the lblMRPpcent TimeLine.Client.Controls.xLabel
		/// </summary>
		private global::TimeLine.Client.Controls.xLabel lblMRPpcent { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLabel>("lblMRPpcent"); } }

		/// <summary>
		/// Gets the miSave TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miSave { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miSave"); } }

		/// <summary>
		/// Gets the miNewMrpOption TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miNewMrpOption { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miNewMrpOption"); } }

		/// <summary>
		/// Gets the miMrpOption TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miMrpOption { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miMrpOption"); } }

		/// <summary>
		/// Gets the miDelete TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miDelete { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miDelete"); } }

		/// <summary>
		/// Gets the miMrp2 TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miMrp2 { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miMrp2"); } }

		/// <summary>
		/// Gets the miBanfLaden TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miBanfLaden { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miBanfLaden"); } }

		/// <summary>
		/// Gets the miPara TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miPara { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miPara"); } }

		/// <summary>
		/// Gets the miInfo TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miInfo { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miInfo"); } }


        #endregion

		#region Events

		public override void RegisterDesignerEvents()
		{

		}

		public override void UnregisterDesignerEvents()
		{

		}

		#endregion
    }
}
#endregion
